//CRC calculation///////////////////////////////////////////
#include "descript.h"
short int CRC_H(char Name_Buf[], char Name_Buf_add[])
{
 short int Summ;
 int i;
 int CSum, tmp;
 
 tmp=(int)(unsigned char)(Name_Buf[0]);
 CSum=tmp; 
 for (i=1;i<8;i++)
 {tmp=(int)(unsigned char)(Name_Buf[i]); CSum=CSum^tmp;}
 for (i=0;i<7;i++)
 {tmp=(int)(unsigned char)(Name_Buf_add[i]); CSum=CSum^tmp;}
 Summ=(short int) (CSum);

 return Summ;
}

